
Redmine - Patch #31205

Replace jquery-rails with vanilla javascript ujs

2019-04-15 22:08 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.1.0   

Description

When the migration to Rails 5.2 was made, the "Unobtrusive JavaScript" was reverted to jquery-rails instead of vanilla js (#26518 for

more details).

Because we cannot stick for ever with the old jquery-rails library, I've updated the ui-rails to the latest version and fixed in the proper

way #26518.

I propose to commit this patch as soon as possible in order to have enough time to find another possible issues (I've tested roughly

other screens that are using the remote feature and I didn't find other problems).

Related issues:

Related to Redmine - Defect #26518: Rails 5: Adding a block in My Page causes... Closed

Associated revisions

Revision 18062 - 2019-04-18 18:04 - Go MAEDA

Update Rails ujs (#31205).

Patch by Marius BALTEANU.

Revision 20798 - 2021-03-15 16:16 - Go MAEDA

Backport #31205 to 4.0-stable in order to update Rails UJS (#33906).

History

#1 - 2019-04-15 22:12 - Marius BĂLTEANU

- Related to Defect #26518: Rails 5: Adding a block in My Page causes "Invalid form authenticity token." added

#2 - 2019-04-18 16:15 - Go MAEDA

- Status changed from New to Needs feedback

- Assignee set to Marius BĂLTEANU

I see the following error after applying the patch:

Started GET "/javascripts/jquery-1.11.1-ui-1.11.0-ujs-5.2.3.js" for 127.0.0.1 at 2019-04-18 23:12:33 +0900

ActionController::RoutingError (No route matches [GET] "/javascripts/jquery-1.11.1-ui-1.11.0-ujs-5.2.3.js"):

#3 - 2019-04-18 17:29 - Marius BĂLTEANU

- File 0001-Update-Rails-ujs.patch.zip added

- Status changed from Needs feedback to New

- Assignee deleted (Marius BĂLTEANU)

Go MAEDA wrote:

I see the following error after applying the patch:

[...]

 It is normal, I've attached an incomplete patch, sorry for that.
Please try the new one, it is zip because the patch size is greater than 600.

#4 - 2019-04-18 17:29 - Marius BĂLTEANU

- File deleted (0001-Update-Rails-ujs.patch)

#5 - 2019-04-18 18:04 - Go MAEDA

- Target version set to 4.1.0

Committed the patch. Thank you.

#6 - 2019-04-25 08:21 - Marius BĂLTEANU

- Status changed from New to Closed

- Assignee set to Go MAEDA

Please open new tickets for issues related to this change.

Files

0001-Update-Rails-ujs.patch.zip 195 KB 2019-04-18 Marius BĂLTEANU
